%define oname system
%define roxname System
%define version 1.9.0
%define name rox-system

Name:		%name
Version:	%version
Release:	3mdk
Summary:	System monitor for the ROX graphical desktop
Group:		Graphical desktop/Other
License:	GPL
URL:		http://rox.sourceforge.net/system.html
Source:		http://prdownloads.sourceforge.net/%{name}/%{oname}-%version.tar.bz2
Requires:	rox
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libgtop2.0-devel >= 2.0.1
BuildRequires:	libgtk+2.0-devel

%description
System displays information about your system - what processes are running
and the amount of memory they are using, as well as free and used disk space.
It can also be useful for quitting crashed applications.

%prep
%setup -q -n %oname-%version

%build
export CFLAGS="$RPM_OPT_FLAGS"
./%roxname/AppRun --compile

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_libdir/apps
cp -a %roxname $RPM_BUILD_ROOT%{_libdir}/apps
rm -rf %buildroot%_libdir/apps/%roxname/src

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr (-,root,root)
%doc %_libdir/apps/%roxname/Help
%dir %_libdir/apps/%roxname
%_libdir/apps/%roxname/App*
%_libdir/apps/%roxname/Linux*/
%_libdir/apps/%roxname/images

%changelog
* Wed Aug 20 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.9.0-3mdk
- fix file listing
- new gtop

* Thu Jun  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.9.0-2mdk
- new url
- rebuild against new gtop

* Thu Feb 27 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.9.0-1mdk
- initial package
